Scriptname CCF_HoodedRobeSwapScript extends ObjectReference  

Armor Property HoodedRobe Auto	;this is the item that this script should be attached to
Armor Property SeparateHood Auto	;this is one of the items we want to swap it for
Armor Property SeparateRobe Auto	;this is the second item we want to swap it for

Event OnEquipped(Actor akActor)
	if akActor != Game.GetPlayer()
		akActor.RemoveItem(HoodedRobe, 1)
		if (akActor.GetItemCount(SeparateHood) == 0)
			akActor.AddItem(SeparateHood, 1)		
		endif
		akActor.EquipItem(SeparateHood)
		if (akActor.GetItemCount(SeparateRobe) == 0)
			akActor.AddItem(SeparateRobe, 1)		
		endif
		akActor.EquipItem(SeparateRobe)		
	endIf
endEvent

